/* home */

.home-section {
    overflow: hidden;
    position: relative;
    background-image:
        url(./Images/aboutusbackgroud.webp);
    background-size: cover;
    background-position: center;
    min-height: 250px;
    text-align: center;
    display: flex;
    align-items: center;
}

.home-section::before {
    position: absolute;
    background-color: rgba(0, 0, 0, 50%);
    content: '';
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100%;
}

.home-content h1 {
    position: relative;
    
    font-size: 50px;
    color: #fff;
    text-transform: uppercase;
}

.home-content h1::after {
    position: absolute;
    content: "";
    top: 100%;
    left: 50%;
    width: 10%;
    height: 2px;
    transform: translateX(-50%);
    background-color: #fff;

}

/* vision-mission-section */


.vision-mission-section {
    padding: 70px 0;
    overflow: hidden;
    position: relative;
    background-position: center;
    background-size: cover;
    background-image:
        url(./Images/vision.jpg);
}

.vision-mission-section::before {
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100%;
    background-color: rgba(0, 0, 0, 50%);

}

.misionvisioncontent h2 {
    position: relative;
    
    text-align: center;
    font-size: 34px;
    color: #eb2ca6;
    letter-spacing: 3px;
    margin-bottom: 30px;
}

.misionvisioncontent h2::after {
    position: absolute;
    content: "";
    top: 100%;
    left: 50%;
    width: 10%;
    height: 2px;
    transform: translateX(-50%);
    background-color: #eb2ca6;
}


.vision {
    width: 60%;
    float: right;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    background-color: #fff;
    border-radius: 100px 10px 10px 100px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    padding: 20px;
    margin-bottom: 20px;
    position: relative;
}

.vision:hover {
    transform: translateY(-5px);
}

.mission {
    width: 60%;
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    background-color: #fff;
    border-radius: 10px 100px 100px 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    padding: 20px;
    position: relative;
}

.mission:hover {
    transform: translateY(-5px);
}

.vision-mission-image img {
    width: 150px;
    height: 150px;
    overflow: hidden;
    border-radius: 50%;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    object-fit: cover;
}


.vision-mission-content h2 {
    
    font-size: 30px;
    color: #eb2ca6;
    font-weight: 600;
    margin-bottom: 15px;
}

.vision-mission-content p {
    
    font-size: 16px;
    color: #666;
    line-height: 25px;
    text-align: justify;
}



/* process */

.process {
    padding: 70px 0;
    overflow: hidden;
}

.process-top {
    text-align: center;
    margin-bottom: 30px;
}

.process-top h2 {
    font-size: 34px;
    letter-spacing: 3px;
    color: #eb2ca6;
    
}

.process-top p {
    font-size: 16px;
    
}

.processboxcntent {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

}

.arrow {
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.arrow img {
    width: 150px;
    height: auto;
}

.precossbox {
    position: relative;
    width: 50%;
    background-color: #f9f9f9;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 20px;
    transition: transform 0.3s ease;
}

.precossbox:hover {
    transform: scale(1.03);
}

.processlist {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px;
}

.processlist img {
    width: 50px;
    height: auto;
}

.processlist h3 {
    font-size: 20px;
    color: #eb2ca6;
    
}

.precossbox p {
    
    line-height: 25px;
    font-size: 14px;
    color: #555;
}


/* Achievement Section */

.achievement-section {
    padding: 70px 0;
    overflow: hidden;
    position: relative;
    background-position: center;
    background-size: cover;
    background-image:
        url(./Images/achivement.avif);
}

.achievement-section::before {
    position: absolute;
    content: '';
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100%;
    background-color: rgba(0, 0, 0, 50%);
}

.section-title {
    position: relative;
}

.section-title h2 {
    
    font-size: 34px;
    color: #eb2ca6;
    letter-spacing: 3px;
    text-transform: uppercase;
    text-align: center;
}

.section-title p {
    
    text-align: center;
    font-size: 16px;
    padding-bottom: 30px;
    color: #fff;
}

.achievement-cards {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    flex-wrap: wrap;
    position: relative;
}

.achievement-card {
    width: calc(33.33% - 20px);
    background-color: #fff;
    border-radius: 15px;
    padding: 20px;
    text-align: center;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease;
}

.achievement-card:hover {
    transform: translateY(-10px);
}

.achievement-icon {
    background-color: #eb2ca6;
    width: 70px;
    height: 70px;
    margin: 0 auto;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.achievement-icon img {
    width: 40px;
    height: 40px;
}

.achievement-card h3 {
    
    font-size: 20px;
    margin-top: 10px;
}

.achievement-card p {
    
    font-size: 16px;
    color: #666;
    line-height: 25px;
    margin-top: 20px;
}


/* join now */

.joinus {
    padding: 70px 0;
    overflow: hidden;
}

.joinuscontainer {
    background-image: url(./Images/star.avif);
    background-position: center;
    background-size: cover;
    text-align: center;
    padding: 60px;
    border-radius: 15px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.joinuscontainer h2 {
    
    color: #eb2ca6;
    font-size: 40px;
}

.joinuscontainer p {
    
    font-size: 18px;
    line-height: 25px;
    color: #fff;
}

.joinuscontainer .btn {
    padding: 15px 50px;
    font-size: 16px;
    border-radius: 30px;
    background-color: #eb2ca6;
    text-decoration: none;
    color: #fff;
    border-top-right-radius: 0;
    transition: 0.5s;
    display: inline-block;
    margin-top: 20px;
}

.joinuscontainer .btn:hover {
    border-top-right-radius: 30px;
}






.portfolio-links ul {
    list-style: none;
    padding: 0;
}

.portfolio-links ul li {
    margin-bottom: 10px;
}

.portfolio-links ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 14px;
    transition: color 0.3s ease;
}

.portfolio-links ul li a:hover {
    color: #eb2ca6;
}


@media only screen and (max-width: 991px) {

    /* home */
    .home-content h1 {
        font-size: 40px;
    }

    /* vision-mission-section */


    .vision-mission-section {
        padding: 60px 0;
        overflow: hidden;
    }

    .misionvisioncontent h2 {
        font-size: 30px;
    }

    .vision {
        width: 100%;
        float: none;
    }

    .mission {
        width: 100%;
    }

    .vision-mission-container {
        justify-content: center;
    }

    .vision-mission-image img {
        width: 120px;
        height: 120px;
    }

    .vision-mission-content h2 {
        font-size: 26px;
    }

    .vision-mission-content p {
        font-size: 14px;
    }


    /* story */

    .story {
        padding: 60px 0;
    }

    .storyright {
        width: 100%;
        margin-bottom: 20px;
    }

    .serviceleft {
        width: 100%;
        padding-left: 0;
    }

    /* process */
    .processboxcntent {
        justify-content: center;
    }

    .precossbox {
        width: 48%;
    }

    .arrow img {
        width: 120px;
    }

    /* Achievement Section */

    .achievement-section {
        padding: 60px 0;
    }

    .section-title h2 {
        font-size: 30px;
        letter-spacing: 2px;
    }

    .section-title p {
        font-size: 14px;
    }

    .achievement-cards {
        justify-content: center;
    }

    .achievement-card {
        width: calc(50% - 20px);
    }

    /* join now */

    .joinus {
        padding: 60px 0;
    }

    .joinuscontainer {
        padding: 40px;
    }

    .joinuscontainer h2 {
        font-size: 32px;
    }

    .joinuscontainer p {
        font-size: 16px;
    }

    .joinuscontainer .btn {
        padding: 12px 40px;
        font-size: 14px;
    }

    
}


@media only screen and (max-width: 767px) {

    
    .home-content h1 {
        font-size: 30px;
    }
    /* vision-mission-section */
    .vision-mission-section {
        padding: 50px 0;
    }

    .misionvisioncontent h2 {
        font-size: 28px;
    }

    .vision,
    .mission {
        width: 100%;
        float: none;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        border-radius: 10px;
    }

    .vision-mission-content h2 {
        font-size: 24px;
        text-align: center;
        margin-bottom: 10px;
    }

    .vision-mission-content p {
        font-size: 14px;
        text-align: center;
    }


    /* story */

    .story {
        padding: 50px 0;
    }

    .storyright {
        width: 100%;
        text-align: center;
    }

    .storycontent {
        align-items: center;
    }

    .storycontent h2 {
        letter-spacing: 2px;
    }

    .serviceleft {
        width: 100%;
        padding-left: 0;
        grid-template-columns: 1fr;
        text-align: center;
    }

    .storyimg {
        margin: 0 auto;
    }

    /* process */
    .process {
        padding: 50px 0;
    }

    .processboxcntent {
        flex-direction: column;
        align-items: center;
    }

    .precossbox {
        width: 100%;
        margin-bottom: 30px;
    }

    .arrow img {
        display: none;
    }

    /* Achievement Section */

    .achievement-section {
        padding: 50px 0;
    }

    .section-title h2 {
        font-size: 28px;
        letter-spacing: 2px;
    }

    .section-title p {
        font-size: 12px;
    }

    .achievement-cards {
        justify-content: center;
    }

    .achievement-card {
        width: 100%;
    }


    /* join now */


    .joinus {
        padding: 50px 0;
    }

    .joinuscontainer {
        padding: 30px;
    }

    .joinuscontainer h2 {
        font-size: 28px;
    }

    .joinuscontainer p {
        font-size: 14px;
        line-height: 20px;
    }

    .joinuscontainer .btn {
        padding: 10px 30px;
        font-size: 12px;
    }

    
}